%{?nodejs_find_provides_and_requires}

%global packagename expect
%global enable_tests 0
# tests disabled due to missing 'npm(babel)' compiler

Name:		nodejs-expect
Version:	1.12.2
Release:	2%{?dist}
Summary:	Write better assertions

License:	MIT
# There is no license file in the source, but package.json lists the license
# as MIT.  I've requested a license file at 
# https://github.com/mjackson/expect/issues/46
URL:		https://github.com/mjackson/expect.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# This np package does not include tests
# To re-create this tarball, do:
#   git clone //github.com/mjackson/expect.git
#   cd expect
#   git archive --prefix='modules/__tests__/' --format=tar refs/tags/v1.12.2:modules/__tests__ | bzip2 > ../tests-1.12.2.tar.bz2
Source1:	tests-1.12.2.tar.bz2


%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(babel)
%endif

Requires:	nodejs

%description
Write better assertions


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/  modules/  npm-scripts/  umd/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha mocha --compilers js:babel/register -R spec 'modules/__tests__/*-test.js'
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%{nodejs_sitelib}/%{packagename}



%changelog
* Mon Nov 02 2015 Jared Smith <jsmith@fedoraproject.org> - 1.12.2-2
- Add tests, but disable them due to missing npm(babel) dependency

* Thu Oct 15 2015 Jared Smith <jsmith@fedoraproject.org> - 1.12.2-1
- Initial packaging
